function()
    local net = aura_env.totalHealAbsorb * 1.5 - aura_env.totalDmgAbsorb;
    -- Use player HP to gauge the limits of the progress bar.
    -- Seems reasonable for now. Maybe want to stick some multipliers on.
    local hp = UnitHealth("player")

    if WeakAuras.IsOptionsOpen() then
        aura_env.region:SetDurationInfo(0.25*hp, hp, true)
        return "25K"
    end

    -- AbbreviateNumbers sucks for negative numbers so handle it
    if net < 0 then
        net = -net
        aura_env.region:SetDurationInfo(0, hp, true)
        return "-" .. AbbreviateNumbers(net)
    else
        aura_env.region:SetDurationInfo(net, hp, true)
        return AbbreviateNumbers(net)
    end

end
